<?php
//En este modelo se encuentran todas las consultas realizadas en la tabla de Productosgenerales (Administrador general)
class Servicios_Model extends CI_Model
{ 
    function fetch_data()

{
   $this->db->join('zona','Zona_IdZona = IdZona','inner');
   $this->db->join('modelo','Modelo_IdModelo = IdModelo','inner');
   $this->db->join('tiposervicio','TipoServicio_IdTipoServicio = IdTipoServicio','inner');
   $query = $this->db->get("serviciosgenerales");
  return $query->result();
}
    function actiongeneral()
{
  $this->load->model("servicios_model");
  $this->load->library("excel");
  }

//Consulta que muestra las Franquicias registradas
    public function BuscarModelo(){
     $query = $this->db-> query('SELECT IdModelo,NombreModelo FROM modelo'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdModelo, ENT_QUOTES)] = htmlspecialchars($row->NombreModelo, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
} 
//consulta que hace la busqueda del cliente dependiendo de la franquicia
    public function buscarpormodelo($query) {
    $this->db->where('Modelo_IdModelo', $query);
     //Valida que se haya hecho la consulta
    $query = $this->db->get('serviciosgenerales');
    if ($query->num_rows() > 0){
      return $query;
    }else{
      //  echo "<script>alert('No se encontrarón los datos solicitados');</script>";
      // redirect('reportes/Administrador/RServicios','refresh');
      echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."reportes/Administrador/RServicios';
                 </script>";
    }
  }
 //Consulta que muestra las zonas registradas   
    public function BuscarZona(){
     $query = $this->db-> query('SELECT IdZona,NombreZona FROM zona'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdZona, ENT_QUOTES)] = htmlspecialchars($row->NombreZona, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
   } 

  //Consulta que hace la busqueda de la franquicia dependiendo la zona
    public function buscarporzona($query) {
    $this->db->where('Zona_IdZona', $query);
     //Valida que se haya hecho la consulta
    $query = $this->db->get('serviciosgenerales');
    if ($query->num_rows() > 0){
      return $query;
    }else{
      //  echo "<script>alert('No se encontrarón los datos solicitados');</script>";
      // redirect('reportes/Administrador/RServicios','refresh');
       echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."reportes/Administrador/RServicios';
                 </script>";
  }
}
    public function BuscarTipo(){
     $query = $this->db-> query('SELECT IdTipoServicio,NombreTipoServicio FROM tiposervicio'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdTipoServicio, ENT_QUOTES)] = htmlspecialchars($row->NombreTipoServicio, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
}
    public function buscarportipo($query) {
    $this->db->where('TipoServicio_IdTipoServicio', $query);
     //Valida que se haya hecho la consulta
    $query = $this->db->get('serviciosgenerales');
    if ($query->num_rows() > 0){
      return $query;
    }else{
       // echo "<script>alert('No se encontrarón los datos solicitados');</script>";
     // redirect('reportes/Administrador/RServicios','refresh');
       echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."reportes/Administrador/RServicios';
                 </script>";
    } 
  }
}